NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-groups-group_id - Documentation for the /organization/projects/{project_id}/groups/{group_id} path.

OPERATIONS

DELETE /organization/projects/{project_id}/groups/{group_id}

remove-project-group

$client->remove_project_group({
    body => { ... },
});

Revokes a group's access to a project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to update.

  • group_id (in path, required, string) - The ID of the group to remove from the project.

Responses

200 - Group removed from the project successfully.

Content-Type: application/json

Example:

{
   "deleted" : true,
   "object" : "project.group.deleted"
}

GET /organization/projects/{project_id}/groups/{group_id}

retrieve-project-group

$client->retrieve_project_group({
    body => { ... },
});

Retrieves a project's group.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to inspect.

  • group_id (in path, required, string) - The ID of the group to retrieve.

  • group_type (in query, optional, string) - The type of group to retrieve.

    Allowed values: group, tenant_group

    Default: group

Responses

200 - Project group retrieved successfully.

Content-Type: application/json

Example:

{
   "created_at" : 1711471533,
   "group_id" : "group_01J1F8ABCDXYZ",
   "group_name" : "Support Team",
   "group_type" : "group",
   "object" : "project.group",
   "project_id" : "proj_abc123"
}

SCHEMAS

ProjectGroup

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the group was granted project access.

  • group_id (string, required) - Identifier of the group that has access to the project.

  • group_name (string, required) - Display name of the group.

  • group_type (string, required) - The type of the group.

    Allowed values: group, tenant_group

  • object (string, required) - Always project.group .

    Allowed values: project.group

  • project_id (string, required) - Identifier of the project.

ProjectGroupDeletedResource

Properties:

  • deleted (boolean, required) - Whether the group membership in the project was removed.

  • object (string, required) - Always project.group.deleted .

    Allowed values: project.group.deleted

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.